> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# udeffieldtype

> List of UDef field types for a given owner table, and possibly restricted based on the current field type

## "udeffieldtype" MDO List

List of UDef field types for a given owner table, and possibly restricted based on the current field type

ExtraInfo = "UDefType,UDefFieldType,hasBeenPublished"

For example: "Contact"

"Contact,Number,true"

Implemented by the <see cref="T:SuperOffice.CRM.Lists.UdefFieldTypeProvider">UdefFieldTypeProvider</see> class.
The name of the MDO list is 'udeffieldtype'.

## Additional Attributes

| Description                             | Name | Example Value       |
| --------------------------------------- | ---- | ------------------- |
| UDefType,UDefFieldType,hasBeenPublished |      | Contact,Number,true |

Separator: ,

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/udeffieldtype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("udeffieldtype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name           | StyleHint | ExtraInfo |
| -- | -------------- | --------- | --------- |
| 1  | Number         |           |           |
| 2  | Short text     |           |           |
| 3  | Long text      |           |           |
| 4  | Date           |           |           |
| 5  | Unlimited date |           |           |
| 6  | Checkbox       |           |           |
| 7  | List           |           |           |
| 8  | Decimal        |           |           |

## Related MDO Lists

* "udeffieldtypeheadings"
* "udeffieldtypeheadingswithallitem"
* "udeffieldtypeheadingswithallitemwithnoselection"
* "udeffieldtypeheadingswithnoselection"
* "udeffieldtypewithallitem"
* "udeffieldtypewithallitemwithnoselection"
* "udeffieldtypewithnoselection"


## Related topics

- [Enum UDefFieldType](/en/automation/crmscript/reference/CRMScript.NetServer.UDefFieldType.md)
- [SuperOffice.WebApi.Data.UDefFieldType](/en/api/reference/webapi/SuperOffice.WebApi.Data.UDefFieldType.md)
- [SuperOffice.WebApi.Agents.IUserDefinedFieldInfoAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IUserDefinedFieldInfoAgent.md)
- [SuperOffice.WebApi.Agents.UserDefinedFieldInfoAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.UserDefinedFieldInfoAgent.md)
- [SuperOffice.WebApi.Data.UserDefinedFieldInfo](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserDefinedFieldInfo.md)
- [SuperOffice.WebApi.Data.UserDefinedFieldInfo ChangeFieldTypeRequest](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserDefinedFieldInfo_ChangeFieldTypeRequest.md)
